# define driver name, version and release
%define		drvname	nvidia340
%define		drvver	340.93
%define		drvrel 1.mga5.nonfree

# define core kernel version we build against
%define 	kernver		4.1.12
%define		kernrel		1.mga5

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 2
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	Freeware
URL:		http://www.nvidia.com/object/unix.html
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	Commercial							\
URL:		http://www.nvidia.com/object/unix.html				\
Group:		System/Kernel and hardware					\
Provides:	kmod(%{drvname}.ko) = %{version}				\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Recommends:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%posttrans -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	Commercial							\
URL:		http://www.nvidia.com/object/unix.html				\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/%{drvname}.ko ||:
    xz -6e $dir/*/module/nvidia-uvm.ko ||:
done


%changelog
* Wed Oct 28 2015 tmb <tmb> 340.93-2.mga5
+ Revision: 896166
- rebuild for kernel-4.1.12-1.mga5
- rebuild for nvidia304-340.93-1.mga5
- rebuild for kernel-4.1.8-1.mga5
- rebuild for kernel-4.1.7-1.mga5
- rebuild for kernel-4.1.6-5.mga5
- rebuild for kernel-4.1.6-4.mga5

* Sat Jun 13 2015 tmb <tmb> 340.76-27.mga5.nonfree
+ Revision: 823101
- rebuild for kernel-3.19.8-3.mga5

* Fri May 22 2015 tmb <tmb> 340.76-26.mga5.nonfree
+ Revision: 822504
- rebuild for kernel-3.19.8-2.mga5

* Mon May 11 2015 tmb <tmb> 340.76-25.mga5.nonfree
+ Revision: 821885
- rebuild for kernel-3.19.8-1.mga5

* Mon May 11 2015 tmb <tmb> 340.76-20.mga5.nonfree
+ Revision: 821799
- rebuild for kernel-3.19.7-2.mga5

* Sat May 09 2015 tmb <tmb> 340.76-19.mga5.nonfree
+ Revision: 821509
- rebuild for kernel-3.19.7-1.mga5

* Sat May 02 2015 tmb <tmb> 340.76-18.mga5.nonfree
+ Revision: 821122
- rebuild for kernel-3.19.6-2.mga5

* Sat May 02 2015 tmb <tmb> 340.76-17.mga5.nonfree
+ Revision: 821071
- rebuild for kernel-3.19.6-1.mga5

* Sat Apr 18 2015 tmb <tmb> 340.76-16.mga5.nonfree
+ Revision: 820423
- rebuild for kernel-3.19.4-2.mga5

* Tue Apr 14 2015 tmb <tmb> 340.76-15.mga5.nonfree
+ Revision: 820229
- rebuild for kernel-3.19.4-1.mga5

* Fri Apr 03 2015 tmb <tmb> 340.76-14.mga5.nonfree
+ Revision: 819592
- rebuild for kernel-3.19.3-1.mga5

* Tue Mar 24 2015 tmb <tmb> 340.76-13.mga5.nonfree
+ Revision: 819196
- rebuild for kernel-3.19.2-2.mga5

* Wed Mar 18 2015 tmb <tmb> 340.76-12.mga5.nonfree
+ Revision: 818848
- rebuild for kernel-3.19.2-1.mga5

* Sat Mar 14 2015 tmb <tmb> 340.76-11.mga5.nonfree
+ Revision: 818529
- rebuild for kernel-3.19.1-2.mga5

* Wed Mar 11 2015 tmb <tmb> 340.76-10.mga5.nonfree
+ Revision: 818335
- rebuild for kernel-3.19.1-1.mga5

* Sat Mar 07 2015 tmb <tmb> 340.76-9.mga5.nonfree
+ Revision: 818027
- rebuild for kernel-3.19.0-6.mga5

* Mon Mar 02 2015 tmb <tmb> 340.76-8.mga5.nonfree
+ Revision: 817326
- rebuild for kernel-3.19.0-5.mga5

* Fri Feb 27 2015 tmb <tmb> 340.76-7.mga5.nonfree
+ Revision: 817109
- rebuild for kernel-3.19.0-4.mga5

* Wed Feb 25 2015 tmb <tmb> 340.76-6.mga5.nonfree
+ Revision: 816864
- rebuild for kernel-3.19.0-3.mga5

* Mon Feb 23 2015 tmb <tmb> 340.76-5.mga5.nonfree
+ Revision: 816604
- rebuild for kernel-3.19.0-2.mga5

* Mon Feb 09 2015 tmb <tmb> 340.76-4.mga5.nonfree
+ Revision: 814293
- rebuild for kernel-3.19.0-1.mga5

* Wed Feb 04 2015 tmb <tmb> 340.76-3.mga5.nonfree
+ Revision: 813340
- rebuild for kernel-3.19.0-0.rc7.3.mga5

* Tue Feb 03 2015 tmb <tmb> 340.76-2.mga5.nonfree
+ Revision: 813167
- rebuild for kernel-3.19.0-0.rc7.2.mga5

* Tue Feb 03 2015 tmb <tmb> 340.76-1.mga5.nonfree
+ Revision: 813163
- rebuild for nvidia340-340.76-1.mga5
- adjust for nvidia340-340.65-1.mga5
- rename spec
- branch for nvidia340

* Wed Jan 21 2015 tmb <tmb> 340.65-11.mga5.nonfree
+ Revision: 811726
- rebuild for kernel-3.18.3-2.mga5

* Fri Jan 16 2015 tmb <tmb> 340.65-10.mga5.nonfree
+ Revision: 811029
- rebuild for kernel-3.18.3-1.mga5

* Tue Jan 13 2015 tmb <tmb> 340.65-9.mga5.nonfree
+ Revision: 810510
- rebuild for kernel-3.18.2-1.mga5
- switch dkms install to posttrans

* Wed Jan 07 2015 tmb <tmb> 340.65-8.mga5.nonfree
+ Revision: 809074
- rebuild for kernel-3.18.1-4.mga5

* Tue Dec 30 2014 tmb <tmb> 340.65-7.mga5.nonfree
+ Revision: 807505
- rebuild for kernel-3.18.1-3.mga5

* Sun Dec 21 2014 tmb <tmb> 340.65-6.mga5.nonfree
+ Revision: 804681
- rebuild for kernel-3.18.1-2.mga5

* Fri Dec 19 2014 tmb <tmb> 340.65-5.mga5.nonfree
+ Revision: 804242
- rebuild for nvidia-current-340.65-3.mga5
- rebuild for nvidia-current-340.65-2.mga5.nonfree

* Sun Dec 14 2014 tmb <tmb> 340.65-3.mga5.nonfree
+ Revision: 803186
- rebuild for kernel-3.18.1-1.mga5

* Sun Dec 14 2014 tmb <tmb> 340.65-2.mga5.nonfree
+ Revision: 803043
- reubild for kernel-3.18.0-2.mga5

* Wed Dec 10 2014 tmb <tmb> 340.65-1.mga5.nonfree
+ Revision: 802623
- rebuild for nvidia-current-340.65-1.mga5

* Mon Dec 08 2014 tmb <tmb> 340.58-7.mga5.nonfree
+ Revision: 802168
- rebuild for kernel-3.18.0-1.mga5

* Fri Dec 05 2014 tmb <tmb> 340.58-6.mga5.nonfree
+ Revision: 801634
- rebuild for kernel-3.18.0-0.rc7.2.mga5

* Mon Dec 01 2014 tmb <tmb> 340.58-5.mga5.nonfree
+ Revision: 800177
- rebuild for kernel-3.18.0-0.rc7.1.mga5

* Sun Nov 30 2014 tmb <tmb> 340.58-4.mga5.nonfree
+ Revision: 799981
- rebuild for kernel-3.18.0-0.rc6.1.mga5

* Fri Nov 21 2014 tmb <tmb> 340.58-3.mga5.nonfree
+ Revision: 798147
- rebuild for kernel-3.17.4-1.mga5

* Sun Nov 16 2014 tmb <tmb> 340.58-2.mga5.nonfree
+ Revision: 797380
- rebuild for kernel-3.17.3-1.mga5

* Thu Nov 13 2014 tmb <tmb> 340.58-1.mga5.nonfree
+ Revision: 796849
- rebuild for nvidia-current-340.58-1.mga5

* Mon Nov 10 2014 tmb <tmb> 340.46-13.mga5.nonfree
+ Revision: 796242
- rebuild for kernel-3.17.2-4.mga5

* Tue Nov 04 2014 tmb <tmb> 340.46-12.mga5.nonfree
+ Revision: 795425
- rebuild for kernel-3.17.2-3.mga5

* Sat Nov 01 2014 tmb <tmb> 340.46-11.mga5.nonfree
+ Revision: 795140
- rebuild for kernel-3.17.2-2.mga5

* Fri Oct 31 2014 tmb <tmb> 340.46-10.mga5.nonfree
+ Revision: 795051
- rebuild for nvidia-current-340.46-2.mga5

* Thu Oct 30 2014 tmb <tmb> 340.46-9.mga5.nonfree
+ Revision: 794812
- rebuild for kernel-3.17.2-1.mga5

* Sat Oct 25 2014 tmb <tmb> 340.46-8.mga5.nonfree
+ Revision: 793246
- rebuild for kernel-3.17.1-2.mga5

* Thu Oct 16 2014 tmb <tmb> 340.46-7.mga5.nonfree
+ Revision: 760562
+ rebuild (emptylog)

* Wed Oct 15 2014 tmb <tmb> 340.46-6.mga5.nonfree
+ Revision: 757176
- rebuild for kernel-3.17.1-1.mga5

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 tmb <tmb> 340.46-4.mga5.nonfree
+ Revision: 738594
- rebuild for kernel-3.17.0-5.mga5

* Fri Oct 10 2014 tmb <tmb> 340.46-3.mga5.nonfree
+ Revision: 737849
- rebuild for kernel-3.17.0-4.mga5

* Mon Oct 06 2014 tmb <tmb> 340.46-2.mga5.nonfree
+ Revision: 737108
- rebuild for kernel-3.17.0-3.mga5

* Fri Oct 03 2014 tmb <tmb> 340.46-1.mga5.nonfree
+ Revision: 736485
- rebuild for nvidia-current-340.46-1.mga5

* Fri Oct 03 2014 tmb <tmb> 340.32-12.mga5.nonfree
+ Revision: 736368
- rebuild with kernel-3.17.0-1.rc7.2.mga5

* Mon Sep 29 2014 tmb <tmb> 340.32-11.mga5.nonfree
+ Revision: 731538
- rebuild for kernel-3.17.0-1.rc7.1.mga5

* Sat Sep 27 2014 tmb <tmb> 340.32-10.mga5.nonfree
+ Revision: 727637
- rebuild for kernel-3.17.0-0.rc6.2.mga5
- rebuild for kernel-3.17.0-1.rc6.2.mga5

* Wed Sep 24 2014 tmb <tmb> 340.32-8.mga5.nonfree
+ Revision: 723488
- adapt to new kmod provides

* Tue Sep 23 2014 tmb <tmb> 340.32-7.mga5.nonfree
+ Revision: 721168
- rebuild for kernel-3.17.0-0.rc6.1.mga5

* Sun Sep 21 2014 tmb <tmb> 340.32-6.mga5.nonfree
+ Revision: 701821
- rebuild for nvidia-current-340.32-2.mga5

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Sep 15 2014 tmb <tmb> 340.32-4.mga5.nonfree
+ Revision: 676897
- rebuild for kernel-3.17.0-0.rc5.1.mga5

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 08 2014 tmb <tmb> 340.32-3.mga5.nonfree
+ Revision: 673642
- rebuild for kernel-3.17.0-0.rc4.1.mga5

* Wed Sep 03 2014 tmb <tmb> 340.32-2.mga5.nonfree
+ Revision: 671179
- rebuild for kernel-3.17.0-0.rc3.1.mga5

* Fri Aug 29 2014 tmb <tmb> 340.32-1.mga5.nonfree
+ Revision: 669293
- rebuild for nvidia-current-340.32-1.mga5

* Thu Jul 24 2014 tmb <tmb> 337.25-11.mga5.nonfree
+ Revision: 656172
- rebuild for kernel-3.15.6-1.mga5

* Sun Jun 29 2014 tmb <tmb> 337.25-10.mga5.nonfree
+ Revision: 641139
- rebuild for kernel-3.15.2-2.mga5

* Fri Jun 27 2014 tmb <tmb> 337.25-9.mga5.nonfree
+ Revision: 640260
- rebuild for kernel-3.15.2-1.mga5

* Tue Jun 17 2014 tmb <tmb> 337.25-8.mga5.nonfree
+ Revision: 637750
- rebuild for kernel-3.15.1-1.mga5

* Mon Jun 09 2014 tmb <tmb> 337.25-7.mga5.nonfree
+ Revision: 635196
- rebuild for nvidia-current-337.25-3.mga5

* Mon Jun 09 2014 tmb <tmb> 337.25-6.mga5.nonfree
+ Revision: 634877
- rebuild for kernel-3.15.0-1.mga5

* Thu Jun 05 2014 tmb <tmb> 337.25-4.mga5.nonfree
+ Revision: 633406
- rebuild for kernel-3.14.5-3.mga5

* Wed Jun 04 2014 tmb <tmb> 337.25-3.mga5.nonfree
+ Revision: 633181
- rebuild for kernel-3.14.5-2.mga5

* Sun Jun 01 2014 tmb <tmb> 337.25-2.mga5.nonfree
+ Revision: 630019
- rebuild for kernel-3.14.5-1.mga5

* Sat May 31 2014 tmb <tmb> 337.25-1.mga5.nonfree
+ Revision: 629544
- rebuild for nvidia-current-337.25-1.mga5

* Thu May 29 2014 tmb <tmb> 331.79-2.mga5.nonfree
+ Revision: 627624
- rebuild for kernel-3.14.4-3.mga5

* Thu May 29 2014 tmb <tmb> 331.79-1.mga5.nonfree
+ Revision: 627515
- rebuild for nvidia-current-331.79-1.mga5

* Thu May 22 2014 tmb <tmb> 331.67-5.mga5.nonfree
+ Revision: 624868
- rebuild for kernel-3.14.4-2.mga5

* Tue May 13 2014 tmb <tmb> 331.67-4.mga5.nonfree
+ Revision: 622622
- rebuild for kernel-3.14.4-1.mga5

* Wed May 07 2014 tmb <tmb> 331.67-3.mga5.nonfree
+ Revision: 620934
- rebuild for kernel-3.14.3-1.mga5

* Thu May 01 2014 tmb <tmb> 331.67-2.mga5.nonfree
+ Revision: 619125
- rebuild for kernel-3.14.2-2.mga5

* Sun Apr 27 2014 tmb <tmb> 331.67-1.mga5.nonfree
+ Revision: 618435
- rebuild for nvidia-current-331.67-1.mga5
- rebuild for kernel-3.14.2-1.mga5

* Fri Apr 11 2014 tmb <tmb> 331.49-7.mga5.nonfree
+ Revision: 613506
- rebuild for kernel-3.13.10-1.mga5

* Sun Mar 23 2014 tmb <tmb> 331.49-6.mga5.nonfree
+ Revision: 607259
- rebuild for nvidia-current-331.49-2.mga5.nonfree

* Sat Mar 08 2014 tmb <tmb> 331.49-5.mga5.nonfree
+ Revision: 601415
- rebuild for kernel-3.13.6-1.mga5

* Sun Feb 23 2014 tmb <tmb> 331.49-4.mga5.nonfree
+ Revision: 595753
- rebuild for kernel-3.12.13-2.mga5

* Sat Feb 22 2014 tmb <tmb> 331.49-3.mga5.nonfree
+ Revision: 595543
- compress uvm module too

* Sat Feb 22 2014 tmb <tmb> 331.49-2.mga5.nonfree
+ Revision: 595510
- fix path to kernel-devel
- rebuild for kernel-3.12.13-1.mga5

* Fri Feb 21 2014 tmb <tmb> 331.49-1.mga5.nonfree
+ Revision: 595308
- rebuild for nvidia-current-331.49-1.mga5

* Tue Feb 04 2014 tmb <tmb> 331.38-2.mga5.nonfree
+ Revision: 582615
- rebuild for nvidia-current-331.38-2.mga5

* Tue Feb 04 2014 tmb <tmb> 331.38-1.mga5.nonfree
+ Revision: 582230
- rebuild for nvidia-current-331.38-1.mga5

* Sun Feb 02 2014 tmb <tmb> 325.15-7.mga4.nonfree
+ Revision: 568631
- rebuild for kernel-3.12.9-1.mga4

* Fri Jan 24 2014 tmb <tmb> 325.15-6.mga4.nonfree
+ Revision: 567975
- rebuild for kernel-3.12.8-2.mga4

* Sun Jan 19 2014 tmb <tmb> 325.15-5.mga4.nonfree
+ Revision: 566915
- rebuild for kernel-3.12.8-1.mga4

* Tue Jan 14 2014 tmb <tmb> 331.38-1.mga4.nonfree
+ Revision: 566530
- rebuild for nvidia-current-331.38-1.mga4

* Mon Jan 13 2014 tmb <tmb> 331.20-19.mga4.nonfree
+ Revision: 566441
- rebuild for kernel-3.12.7-1.mga4

* Mon Jan 13 2014 tmb <tmb> 325.15-4.mga4.nonfree
+ Revision: 566408
- rebuild for kernel-3.12.7-1.mga4

* Thu Jan 09 2014 tmb <tmb> 331.20-18.mga4.nonfree
+ Revision: 566047
- rebuild for kernel-3.12.6-5.mga4

* Thu Jan 09 2014 tmb <tmb> 325.15-3.mga4.nonfree
+ Revision: 566000
- rebuild for kernel-3.12.6-5.mga4

* Tue Jan 07 2014 tmb <tmb> 331.20-17.mga4.nonfree
+ Revision: 565434
- rebuild for kernel-3.12.6-4.mga4

* Tue Jan 07 2014 tmb <tmb> 325.15-2.mga4.nonfree
+ Revision: 565412
- rebuild for kernel-3.12.6-4.mga4

* Sat Jan 04 2014 tmb <tmb> 331.20-16.mga4.nonfree
+ Revision: 564507
- rebuild for nvidia-current-331.20-11.mga4

* Sat Jan 04 2014 tmb <tmb> 325.15-1.mga4.nonfree
+ Revision: 564482
- rebuild for kernel-3.12.6-3.mga4

* Sun Dec 29 2013 tmb <tmb> 331.20-15.mga4.nonfree
+ Revision: 563041
- rebuild for kernel-3.12.6-2.mga4

* Fri Dec 20 2013 tmb <tmb> 331.20-14.mga4.nonfree
+ Revision: 559282
- rebuild for kernel-3.12.6-1.mga4

* Sun Dec 15 2013 tmb <tmb> 331.20-13.mga4.nonfree
+ Revision: 556889
- rebuild for kernel-3.12.5-1.mga4

* Sun Dec 08 2013 tmb <tmb> 331.20-12.mga4.nonfree
+ Revision: 555917
- rebuild for nvidia-current-331.20-10.mga4

* Sun Dec 08 2013 tmb <tmb> 331.20-11.mga4.nonfree
+ Revision: 555887
- rebuild for nvidia-current-331.20-9.mga4

* Fri Dec 06 2013 tmb <tmb> 331.20-10.mga4.nonfree
+ Revision: 555660
- rebuild for nvidia-current-331.20-8.mga4

* Wed Dec 04 2013 tmb <tmb> 331.20-9.mga4.nonfree
+ Revision: 555226
- rebuild for kernel-3.12.3-1.mga4

* Sat Nov 30 2013 tmb <tmb> 331.20-8.mga4.nonfree
+ Revision: 554320
- rebuild for kernel-3.12.2-1.mga4

* Sat Nov 23 2013 tmb <tmb> 331.20-7.mga4.nonfree
+ Revision: 552648
- push to /release

* Sat Nov 23 2013 tmb <tmb> 331.20-6.mga4.nonfree
+ Revision: 552622
- rebuild for nvidia-current-331.20-6.mga4
- rebuild for nvidia-current-331.20-5.mga4
- add temp debug
- rebuild with nvidia-current-331.20-4.mga4
- rebuild for nvidia-current-331.20-3.mga4

* Thu Nov 21 2013 tmb <tmb> 331.20-3.mga4.nonfree
+ Revision: 552216
- rebuild for kernel-3.12.1-1.mga4

* Sun Nov 17 2013 tmb <tmb> 331.20-2.mga4.nonfree
+ Revision: 551625
- rebul for kernel-3.12.0-3.mga4

* Wed Nov 13 2013 tmb <tmb> 331.20-1.mga4.nonfree
+ Revision: 551081
- rebuild for nvidia-current-331.20-1.mga4

* Sat Nov 09 2013 tmb <tmb> 319.60-11.mga4.nonfree
+ Revision: 550050
- rebuild for kernel-3.12.0-2.mga4

* Mon Nov 04 2013 tmb <tmb> 319.60-10.mga4.nonfree
+ Revision: 549334
- rebuild for kernel-3.12.0-1.mga4

* Sat Nov 02 2013 tmb <tmb> 319.60-9.mga4.nonfree
+ Revision: 549149
- rebuild for kernel-3.12.0-0.rc7.2.mga4

* Sat Nov 02 2013 tmb <tmb> 319.60-8.mga4.nonfree
+ Revision: 549120
- rebuild for nvidia-current-319.60-4.mga4

* Thu Oct 31 2013 tmb <tmb> 319.60-7.mga4.nonfree
+ Revision: 548482
- rebuild for kernel-3.12.0-0.rc7.1.mga4

* Sat Oct 26 2013 tmb <tmb> 319.60-6.mga4.nonfree
+ Revision: 547188
- rebuild for kernel-3.12.0-0.rc6.2.mga4

* Mon Oct 21 2013 tmb <tmb> 319.60-5.mga4.nonfree
+ Revision: 541231
- rebuild for kernel-3.12.0-0.rc6.1.mga4

* Wed Oct 16 2013 tmb <tmb> 319.60-4.mga4.nonfree
+ Revision: 501619
- rebuild for kernel-3.12.0-0.rc5.2.mga4

* Mon Oct 14 2013 tmb <tmb> 319.60-3.mga4.nonfree
+ Revision: 496730
- rebuild for kernel-3.12.0-0.rc5.1.mga4

* Thu Oct 03 2013 tmb <tmb> 319.60-2.mga4.nonfree
+ Revision: 490979
- rebuild for kernel-3.11.4-1.mga4

* Thu Oct 03 2013 tmb <tmb> 319.60-1.mga4.nonfree
+ Revision: 490940
- rebuild for nvidia-current-319.60-1.mga4

* Mon Sep 30 2013 tmb <tmb> 319.49-9.mga4.nonfree
+ Revision: 489610
- rebuild for kernel-3.11.2-2.mga4

* Fri Sep 27 2013 tmb <tmb> 319.49-8.mga4.nonfree
+ Revision: 487603
- rebuild for kernel-3.11.2-1.mga4

* Wed Sep 25 2013 tmb <tmb> 319.49-7.mga4.nonfree
+ Revision: 486400
- rebuild for kernel-3.11.1-1.mga4

* Tue Sep 03 2013 tmb <tmb> 319.49-6.mga4.nonfree
+ Revision: 474683
- rebuild for kernel-3.10.10-3.mga4

* Fri Aug 30 2013 tmb <tmb> 319.49-5.mga4.nonfree
+ Revision: 473474
- rebuild for kernel-3.10.10-2.mga4

* Thu Aug 29 2013 tmb <tmb> 319.49-4.mga4.nonfree
+ Revision: 473082
- rebuild for kernel-3.10.10-1.mga4

* Sat Aug 24 2013 sander85 <sander85> 319.49-3.mga4.nonfree
+ Revision: 471296
- rebuild for nvidia-current-319.49-2.mga4

* Wed Aug 21 2013 tmb <tmb> 319.49-2.mga4.nonfree
+ Revision: 469178
- rebuild for kernel-3.10.9-1.mga4

* Wed Aug 21 2013 tmb <tmb> 319.49-1.mga4.nonfree
+ Revision: 469092
- rebuild for nvidia-current-319.49-1.mga4

* Sat Aug 17 2013 tmb <tmb> 319.32-19.mga4.nonfree
+ Revision: 467177
- rebuild for kernel-3.10.7-1.mga4

* Mon Aug 12 2013 tmb <tmb> 319.32-18.mga4.nonfree
+ Revision: 465869
- rebuild for kernel-3.10.6-1.mga4

* Sun Aug 11 2013 tmb <tmb> 319.32-17.mga4.nonfree
+ Revision: 465472
- rebuild for kernel-3.10.5-4.mga4

* Mon Aug 05 2013 tmb <tmb> 319.32-16.mga4.nonfree
+ Revision: 464038
- rebuild for kernel-3.10.5-3.mga4

* Mon Aug 05 2013 tmb <tmb> 319.32-15.mga4.nonfree
+ Revision: 463815
- rebuild for kernel-3.10.5-2.mga4

* Sun Aug 04 2013 tmb <tmb> 319.32-14.mga4.nonfree
+ Revision: 463611
- rebuild for kernel-3.10.5-1.mga4

* Mon Jul 29 2013 tmb <tmb> 319.32-13.mga4.nonfree
+ Revision: 460447
- rebuild for kernel-3.10.4-1.mga4

* Fri Jul 26 2013 tmb <tmb> 319.32-12.mga4.nonfree
+ Revision: 458453
- rebuild for kernel-3.10.3-1.mga4

* Mon Jul 22 2013 tmb <tmb> 319.32-11.mga4.nonfree
+ Revision: 457055
- rebuild for kernel-3.10.2-1.mga4

* Mon Jul 15 2013 tmb <tmb> 319.32-10.mga4.nonfree
+ Revision: 454792
- rebuild with fixed nvidia-current-319.32-2.mga4
- rebuild for kernel-3.10.1-1.mga4

* Fri Jun 28 2013 tmb <tmb> 319.32-8.mga4.nonfree
+ Revision: 447859
- rebuild for nvidia-current-319.32-1.mga4

* Fri Jun 28 2013 tmb <tmb> 319.17-8.mga4.nonfree
+ Revision: 447742
- rebuild for kernel-3.9.8-1.mga4

* Fri Jun 21 2013 tmb <tmb> 319.17-7.mga4.nonfree
+ Revision: 445348
- rebuild for kernel-3.9.7-1.mga4

* Tue Jun 18 2013 tv <tv> 319.17-6.mga4.nonfree
+ Revision: 444810
- rebuild for new kernel

* Sun Jun 02 2013 tmb <tmb> 319.17-5.mga4.nonfree
+ Revision: 434778
- rebuild for kernel-3.9.4-1.mga4

* Tue May 14 2013 tmb <tmb> 319.17-4.mga3.nonfree
+ Revision: 413199
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 319.17-3.mga3.nonfree
+ Revision: 412839
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 319.17-2.mga3.nonfree
+ Revision: 412681
- rebuild for kernel-3.8.12-1.mga3

* Fri May 03 2013 tmb <tmb> 319.17-1.mga3.nonfree
+ Revision: 412178
- rebuild for nvidia-current-319.17-1.mga3

* Wed May 01 2013 tmb <tmb> 310.44-9.mga3.nonfree
+ Revision: 411830
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 310.44-8.mga3.nonfree
+ Revision: 411363
- rebuild for kernel-3.8.10-1.mga3

* Mon Apr 22 2013 tmb <tmb> 310.44-7.mga3.nonfree
+ Revision: 410896
- rebuild for kernel-3.8.8-3.mga3

* Sat Apr 20 2013 tmb <tmb> 310.44-6.mga3.nonfree
+ Revision: 410593
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 310.44-5.mga3.nonfree
+ Revision: 410300
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 310.44-4.mga3.nonfree
+ Revision: 409935
- rebuild for kernel-3.8.7-1.mga3

* Tue Apr 09 2013 tmb <tmb> 310.44-3.mga3.nonfree
+ Revision: 409295
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 310.44-2.mga3.nonfree
+ Revision: 408768
- rebuild for kernel-3.8.6-1.mga3

* Sun Apr 07 2013 tmb <tmb> 310.44-1.mga3.nonfree
+ Revision: 408704
- rebuild for nvidia-current-310.44-1.mga3

* Sat Mar 30 2013 tmb <tmb> 310.40-3.mga3.nonfree
+ Revision: 406635
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 18 2013 tmb <tmb> 310.40-2.mga3.nonfree
+ Revision: 403967
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 310.40-1.mga3.nonfree
+ Revision: 403324
- rebuild for kernel-3.8.3-1.mga3
- rebuild for nvidia-current 310.40

* Sat Mar 02 2013 tmb <tmb> 310.32-8.mga3.nonfree
+ Revision: 401096
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 310.32-7.mga3.nonfree
+ Revision: 400595
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 310.32-6.mga3.nonfree
+ Revision: 399992
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 310.32-5.mga3.nonfree
+ Revision: 399323
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 310.32-4.mga3.nonfree
+ Revision: 397384
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 310.32-3.mga3.nonfree
+ Revision: 394964
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 310.32-2.mga3.nonfree
+ Revision: 392637
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Sun Jan 27 2013 tmb <tmb> 310.32-1.mga3.nonfree
+ Revision: 392611
- rebuild for nvidia-current-310.32-1.mga3

* Fri Jan 18 2013 tmb <tmb> 310.19-8.mga3.nonfree
+ Revision: 389513
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Wed Jan 16 2013 tmb <tmb> 310.19-7.mga3.nonfree
+ Revision: 388877
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Thu Jan 10 2013 tmb <tmb> 310.19-6.mga3.nonfree
+ Revision: 344803
- build with fixed nvidia-current-310.19-2.mga3
- rebuild for kernel-3.8.0-0.rc3.1.mga3

* Tue Dec 18 2012 tmb <tmb> 310.19-4.mga3.nonfree
+ Revision: 332489
- rebuild for kernel-3.7.1-1.mga3

* Tue Dec 11 2012 tmb <tmb> 310.19-3.mga3.nonfree
+ Revision: 329583
- rebuild for kernel-3.7.0-1.mga3

* Fri Dec 07 2012 tmb <tmb> 310.19-2.mga3.nonfree
+ Revision: 327631
- fix obsolete version
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3

* Sat Nov 24 2012 tmb <tmb> 310.19-1.mga3.nonfree
+ Revision: 321447
- rebuild for nvidia-current-310.19-1.mga3
- ingore already compressed modules

* Thu Nov 01 2012 tmb <tmb> 304.60-3.mga3.nonfree
+ Revision: 311847
- rebuild for kernel-3.6.5-1.mga3

* Sun Oct 28 2012 tmb <tmb> 304.60-2.mga3.nonfree
+ Revision: 311237
- rebuild for kernel-3.6.4-1.mga3

* Thu Oct 25 2012 tmb <tmb> 304.60-1.mga3.nonfree
+ Revision: 309923
- rebuild for nvidia-current-304.60-1.mga3

* Sun Oct 21 2012 tmb <tmb> 304.51-5.mga3.nonfree
+ Revision: 309020
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 304.51-4.mga3.nonfree
+ Revision: 307880
- rebuild for kernel-3.6.2-1.mga3

* Sat Oct 13 2012 tmb <tmb> 304.51-3.mga3.nonfree
+ Revision: 305261
- compress the prebult module

* Sun Sep 30 2012 tmb <tmb> 304.51-2.mga3.nonfree
+ Revision: 300737
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sun Sep 30 2012 tmb <tmb> 304.51-1.mga3.nonfree
+ Revision: 300724
- rebuild for nvidia-current-304.51-1.mga3

* Sat Sep 15 2012 tmb <tmb> 304.43-3.mga3.nonfree
+ Revision: 294180
- rebuild for kernel-3.5.4-1.mga3

* Tue Sep 11 2012 tmb <tmb> 304.43-2.mga3.nonfree
+ Revision: 292395
- rebuild for kernel-3.5.3-3.mga3

* Mon Sep 10 2012 tmb <tmb> 304.43-1.mga3.nonfree
+ Revision: 292060
- rebuild for nvidia-current-304.43-1.mga3

* Thu Aug 30 2012 tmb <tmb> 304.37-5.mga3.nonfree
+ Revision: 285703
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 304.37-4.mga3.nonfree
+ Revision: 284289
- rebuild for kernel-3.5.3-1.mga3

* Sun Aug 19 2012 tmb <tmb> 304.37-3.mga3.nonfree
+ Revision: 282370
- rebuild against nvidia-current-304.37-3.mga3 wich has correct kmod provides

* Sun Aug 19 2012 tmb <tmb> 304.37-2.mga3.nonfree
+ Revision: 282321
- add provides kmod(nvidia-current) as upstream now has provides kmod(nvidis) (mga #7113)

* Sun Aug 19 2012 tmb <tmb> 304.37-1.mga3.nonfree
+ Revision: 282136
- rebuild for nvidia-current-304.37-1.mga3.nonfree

* Thu Aug 16 2012 tmb <tmb> 295.71-2.mga3.nonfree
+ Revision: 281608
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 295.71-1.mga3.nonfree
+ Revision: 280503
- rebuild for kernel-3.5.1-1.mga3 and nvidia-current-295.71-1.mga3.nonfree

* Sat Jul 28 2012 tmb <tmb> 295.59-5.mga3.nonfree
+ Revision: 275094
- rebuild for kernel-3.5.0-1.mga3

* Fri Jul 27 2012 tmb <tmb> 295.59-4.mga3.nonfree
+ Revision: 274701
- rebuild for nvidia-current-295.59-2.mga3

* Fri Jul 20 2012 tmb <tmb> 295.59-3.mga3.nonfree
+ Revision: 272920
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 295.59-2.mga3.nonfree
+ Revision: 272422
- rebuild for kernel-3.4.5-1.mga3

* Mon Jul 02 2012 tmb <tmb> 295.59-1.mga3.nonfree
+ Revision: 266543
- rebuild for nvidia-current 295.59

* Mon Jul 02 2012 tmb <tmb> 295.49-11.mga3.nonfree
+ Revision: 266524
- rebuild for kernel-3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 295.49-10.mga3.nonfree
+ Revision: 264254
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 295.49-9.mga3.nonfree
+ Revision: 262342
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 295.49-8.mga3.nonfree
+ Revision: 259032
- rebuild for kernel-3.4.2-1.mga3

* Wed Jun 06 2012 tmb <tmb> 295.49-7.mga3.nonfree
+ Revision: 256567
- rebuild for nvidia-current-295.49-6.mga3

* Tue Jun 05 2012 tmb <tmb> 295.49-6.mga3.nonfree
+ Revision: 255753
- rebuild for kernel-3.4.1-1.mga3

* Mon May 28 2012 tmb <tmb> 295.49-5.mga3.nonfree
+ Revision: 247886
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 295.49-4.mga2.nonfree
+ Revision: 235857
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 295.49-3.mga2.nonfree
+ Revision: 235564
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 295.49-2.mga2.nonfree
+ Revision: 235203
- build for kernel-3.3.5-1.mga2

* Sun May 06 2012 tmb <tmb> 295.49-1.mga2.nonfree
+ Revision: 234836
- rebuild for 295.49 in nonfree/updates_testing

* Sat Apr 28 2012 tmb <tmb> 295.40-3.mga2.nonfree
+ Revision: 233923
- rebuild for kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 295.40-2.mga2.nonfree
+ Revision: 232875
- rebuild for kernel-3.3.3-1.mga2

* Wed Apr 11 2012 tmb <tmb> 295.40-1.mga2.nonfree
+ Revision: 230295
- rebuild for 295.40-1.mga2

* Fri Apr 06 2012 tmb <tmb> 295.33-7.mga2.nonfree
+ Revision: 229346
- rebuild for nvidia-current-295.33-1.mga2

* Wed Apr 04 2012 tmb <tmb> 295.20-6.mga2.nonfree
+ Revision: 228366
- rebuild for kernel-3.3.1-2.mga2

* Tue Apr 03 2012 tmb <tmb> 295.20-5.mga2.nonfree
+ Revision: 228077
- rebuild for kernel-3.3.1-1.mga2

* Sun Mar 25 2012 tmb <tmb> 295.20-4.mga2.nonfree
+ Revision: 226182
- rebuild for kernel-3.3.0-2.mga2

* Mon Mar 19 2012 tmb <tmb> 295.20-3.mga2.nonfree
+ Revision: 224369
- rebuild for kernel-3.3.0-1.mga2

* Sun Mar 11 2012 tmb <tmb> 295.20-2.mga2.nonfree
+ Revision: 222558
- rebuild for kernel 3.3-rc7

* Tue Mar 06 2012 tmb <tmb> 295.20-1.mga2.nonfree
+ Revision: 220375
- build with fixed nvidia-current
- rebuild for nvidia-current-295.20-1.mga2
- rebuild for kernel-3.3.0-0.rc6.1.mga2

* Sat Mar 03 2012 tmb <tmb> 290.10-16.mga2.nonfree
+ Revision: 217299
- rebuild for kernel-3.2.9-2.mga2

* Thu Mar 01 2012 tmb <tmb> 290.10-15.mga2.nonfree
+ Revision: 216404
- rebuild for kernel-3.2.9-1.mga2

* Sat Feb 25 2012 tmb <tmb> 290.10-13.mga2.nonfree
+ Revision: 214773
- rebuild for kernel-3.2.7-1.mga2

* Thu Feb 16 2012 tmb <tmb> 290.10-12.mga2.nonfree
+ Revision: 209781
- rebuild for kernel-3.2.6-3.mga2
- compress modules with xz

* Tue Feb 14 2012 tmb <tmb> 290.10-11.mga2.nonfree
+ Revision: 208937
- rebuild for kernel-3.2.6-2.mga2

* Sun Feb 12 2012 tmb <tmb> 290.10-10.mga2.nonfree
+ Revision: 208064
- rebuild for kernel-3.2.6-0.rc1.1.mga2

* Mon Feb 06 2012 tmb <tmb> 290.10-9.mga2.nonfree
+ Revision: 205606
- rebuild for kernel-3.2.5-1.mga2

* Thu Jan 26 2012 tmb <tmb> 290.10-8.mga2.nonfree
+ Revision: 201949
- rebuild for kernel-3.2.2-1.mga2

* Fri Jan 20 2012 tmb <tmb> 290.10-7.mga2.nonfree
+ Revision: 198865
- build with kernel-3.2.1-2.mga2

* Sun Jan 15 2012 tmb <tmb> 290.10-6.mga2.nonfree
+ Revision: 196456
- kernel-xen-pvops does not exist anymore
- build against kernel-3.2.1-1.mga2

* Sun Jan 15 2012 tmb <tmb> 290.10-5.mga2.nonfree
+ Revision: 196311
- fix package name to match kernel uname -r

* Thu Jan 05 2012 tmb <tmb> 290.10-4.mga2.nonfree
+ Revision: 191562
- build with kernel-3.2.0-1.mga2

* Thu Dec 29 2011 tmb <tmb> 290.10-3.mga2.nonfree
+ Revision: 188528
- build with kernel-3.2.0-0.rc7.2.mga2
- fix url

* Mon Dec 26 2011 tmb <tmb> 290.10-2.mga2.nonfree
+ Revision: 187917
- build for kernel-3.2.0-0.rc7.1.mga2

* Mon Dec 26 2011 tmb <tmb> 290.10-1.mga2.nonfree
+ Revision: 187901
- imported package kmod-nvidia-current

